org.apache.myfaces.trinidad.resource

## Class ProxyResourceLoader

- java.lang.Object
- - org.apache.myfaces.trinidad.resource.ResourceLoader
  - - org.apache.myfaces.trinidad.resource.ProxyResourceLoader

-     public class ProxyResourceLoader
      extends ResourceLoader

  A resource loader implementation that proxies another resource loader, controlling the URLConnection.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `ProxyResourceLoader.ProxyURLConnection` Helper class used to manage aggregated URL input stream.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyResourceLoader(ResourceLoader parent)` Constructs a new ProxyResourceLoader with specified parent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URL` | `getResource(String path)` Finds the resource with the given name.

    - ### Methods inherited from class org.apache.myfaces.trinidad.resource.ResourceLoader

      `findResource, getContentType, getContentType, getNullResourceLoader, getParent, isCachable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyResourceLoader

          public ProxyResourceLoader(ResourceLoader parent)

      Constructs a new ProxyResourceLoader with specified parent.
      Parameters:
        `parent` - the parent resource loader

  - ### Method Detail

    - #### getResource

          public URL getResource(String path)
                          throws IOException

      Description copied from class: `ResourceLoader`
      Finds the resource with the given name. A resource is some data (images, audio, text, etc) that can be accessed by class code in a way that is independent of the location of the code.

      The name of a resource is a '`/`'-separated path name that identifies the resource.

      This method will first search the this resource loader for the resource. That failing, this method will invoke `ResourceLoader.findResource(String)` to on the parent resource loader to find the resource.

      Overrides:
        `getResource` in class `ResourceLoader`
      Parameters:
        `path` - the resource name
      Returns:
        A `URL` object for reading the resource, or `null` if the resource could not be found or the invoker doesn't have adequate privileges to get the resource.
      Throws:
        `IOException`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.